Skip to content
Start here

Update entry

client.zeroTrust.dlp.entries.update(stringentryId, EntryUpdateParamsparams, RequestOptionsoptions?): EntryUpdateResponse
PUT/accounts/{account_id}/dlp/entries/{entry_id}

Updates a DLP entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
entryId: string
formatuuid
EntryUpdateParams = Variant0 | Variant1 | Variant2
EntryUpdateParamsBase
Variant0 extends EntryUpdateParamsBase
Variant1 extends EntryUpdateParamsBase
Variant2 extends EntryUpdateParamsBase
ReturnsExpand Collapse
EntryUpdateResponse = CustomEntry { id, created_at, enabled, 6 more } | PredefinedEntry { id, confidence, enabled, 4 more } | IntegrationEntry { id, created_at, enabled, 4 more } | 3 more
One of the following:
CustomEntry { id, created_at, enabled, 6 more }
id: string
formatuuid
created_at: string
formatdate-time
Deprecatedenabled: boolean
name: string
pattern: Pattern { regex, validation }
regex: string
Deprecatedvalidation?: "luhn"
type: "custom"
updated_at: string
formatdate-time
description?: string | null
Deprecatedprofile_id?: string | null
formatuuid
PredefinedEntry { id, confidence, enabled, 4 more }
id: string
formatuuid
confidence: Confidence { ai_context_available, available }
ai_context_available: boolean

Indicates whether this entry has AI remote service validation.

available: boolean

Indicates whether this entry has any form of validation that is not an AI remote service.

enabled: boolean
name: string
type: "predefined"
Deprecatedprofile_id?: string | null
formatuuid
variant?: UnionMember0 { topic_type, type, description } | UnionMember1 { type, description }

A Predefined AI prompt classification topic entry.

One of the following:
UnionMember0 { topic_type, type, description }

A Predefined AI prompt classification topic entry.

topic_type: "Intent" | "Content"
One of the following:
"Intent"
"Content"
type: "PromptTopic"
description?: string | null

A customer-facing explanation of what this predefined AI prompt topic represents.

UnionMember1 { type, description }

A general predefined entry.

type: "General"
description?: string | null

A customer-facing explanation of what this predefined entry represents.

IntegrationEntry { id, created_at, enabled, 4 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "integration"
updated_at: string
formatdate-time
profile_id?: string | null
formatuuid
ExactDataEntry { id, case_sensitive, created_at, 5 more }
id: string
formatuuid
case_sensitive: boolean

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

created_at: string
formatdate-time
enabled: boolean
name: string
secret: boolean
type: "exact_data"
updated_at: string
formatdate-time
DocumentFingerprintEntry { id, created_at, enabled, 3 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "document_fingerprint"
updated_at: string
formatdate-time
WordListEntry { id, created_at, enabled, 5 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "word_list"
updated_at: string
formatdate-time
word_list: unknown
profile_id?: string | null
formatuuid

Update entry

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const entry = await client.zeroTrust.dlp.entries.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  account_id: 'account_id',
  name: 'name',
  pattern: { regex: 'regex' },
  type: 'custom',
});

console.log(entry);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "pattern": {
      "regex": "regex",
      "validation": "luhn"
    },
    "type": "custom",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "pattern": {
      "regex": "regex",
      "validation": "luhn"
    },
    "type": "custom",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}